const mongoose = require('mongoose');

const workoutDB = new mongoose.Schema({
	owner: {
		type: String,
		required: true,
	},
	name: {
		type: String,
		required: true,
		unique: true
	},
	description: {
		type: String,
	}
	rating: {
		type: Number,
		default: 0
	},
	likes: {
		type: Number,
		default: 0

	},
	dislikes: {
		type: Number,
		default: 0
	},
	usersLike: [{
		type: String
	}],
	usersDislike[{
		type: String
	}]




});
module.exports = WorkoutDB = mongoose.model('workoutDB', workoutDB);